osl::eval::endgame::AttackKing::Table Struct Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Private Member Functions | List of all members
osl::eval::endgame::AttackKing::Table Struct Reference
Inheritance diagram for osl::eval::endgame::AttackKing::Table:
[legend]
Collaboration diagram for osl::eval::endgame::AttackKing::Table:
[legend]

## Public Member Functions
| Table ()
Public Member Functions inherited from osl::eval::endgame::KingPieceTable
int & | valueOf (Square king, Player defense, Square other, Ptype ptype)
int | valueOf (Square king, Player defense, Square other, Ptype ptype) const
void | saveText (const char *filename) const
| kingPieceTable.cc More...
void | loadText (const char *filename)
void | resetWeights (const int *w)
void | randomize ()
void | clear ()

## Private Member Functions
void | adhoc_edge_king_1 (const Player player, const Square king, const Square attack)
void | adhoc_edge_king_2 (const Player player, const Square king, const Square attack)

## Additional Inherited Members
Public Types inherited from osl::eval::endgame::KingPieceTable
enum | { EffectiveDimension = 81*2*82*PTYPE_SIZE }
Static Public Member Functions inherited from osl::eval::endgame::KingPieceTable
static int | otherIndex (Square other, Ptype ptype)
static int | kingIndex (Square king, Player defense)
static int | effectiveIndexOf (Square king, Player defense, Square other, Ptype ptype)
static int | dimension ()
Protected Member Functions inherited from osl::eval::endgame::KingPieceTable
| KingPieceTable ()
Protected Attributes inherited from osl::eval::endgame::KingPieceTable
CArray2d< int, Square::SIZE *2, Square::SIZE *PTYPE_SIZE > | data

## Detailed Description

Definition at line 21 of file attackKing.h.

## Constructor & Destructor Documentation

osl::eval::endgame::AttackKing::Table::Table | ( | ) |  |

Definition at line 110 of file attackKing.cc.

References osl::BISHOP, osl::BLACK, osl::GOLD, osl::isMajorBasic(), osl::isPiece(), osl::KING, osl::KNIGHT, osl::LANCE, osl::eval::max(), osl::eval::min(), osl::newPtypeO(), osl::PAWN, osl::PBISHOP, osl::PKNIGHT, osl::PLANCE, osl::PPAWN, osl::PROOK, osl::PSILVER, osl::eval::Ptype_Eval_Table, osl::PTYPE_MAX, osl::PTYPE_PIECE_MIN, osl::ROOK, osl::Square::rotate180(), osl::SILVER, osl::Square::STAND(), osl::unpromote(), osl::eval::PtypeEvalTable::value(), and osl::WHITE.

## Member Function Documentation

void osl::eval::endgame::AttackKing::Table::adhoc_edge_king_1 | ( | const Player | player,
|  | const Square | king,
|  | const Square | attack
| ) |  |
| private

Definition at line 79 of file attackKing.cc.

References osl::KING, osl::PPAWN, osl::ROOK, and osl::eval::endgame::AttackKing::valueOf().

void osl::eval::endgame::AttackKing::Table::adhoc_edge_king_2 | ( | const Player | player,
|  | const Square | king,
|  | const Square | attack
| ) |  |
| private

Definition at line 94 of file attackKing.cc.

References osl::GOLD, osl::PPAWN, osl::PSILVER, and osl::SILVER.

The documentation for this struct was generated from the following files:

- attackKing.h
- attackKing.cc